GCubeGisViewerSaveHandler (gCube GIS Viewer Widget 2.5.0-SNAPSHOT API)
Date: 2015-07-21

org.gcube.portlets.user.gcubegisviewer.client

## Class GCubeGisViewerSaveHandler

- java.lang.Object
- - org.gcube.portlets.user.gcubegisviewer.client.GCubeGisViewerSaveHandler

- All Implemented Interfaces:
    org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler

      public class GCubeGisViewerSaveHandler
      extends Object
      implements org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HasSaveHandlers` | `hasSaveHandlers`
    `protected static GCubeGisViewerServiceAsync` | `service`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCubeGisViewerSaveHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `saveLayerImage(String name, String contentType, String url)`
    `void` | `saveMapImage(String fileName, String outputFormat, Map<String,String> parameters)`
    `void` | `saveMapImage(String name, String outputFormat, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs)`
    `void` | `setHasSaveHandlers(HasSaveHandlers hasSaveHandlers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### service

          protected static GCubeGisViewerServiceAsync service

    - #### hasSaveHandlers

          protected HasSaveHandlers hasSaveHandlers

  - ### Constructor Detail

    - #### GCubeGisViewerSaveHandler

          public GCubeGisViewerSaveHandler()

  - ### Method Detail

    - #### setHasSaveHandlers

          public void setHasSaveHandlers(HasSaveHandlers hasSaveHandlers)

      Parameters:
        `hasSaveHandlers` - the hasSaveHandlers to set

    - #### saveLayerImage

          public void saveLayerImage(String name,
                            String contentType,
                            String url)

      Specified by:
        `saveLayerImage` in interface `org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler`

    - #### saveMapImage

          public void saveMapImage(String name,
                          String outputFormat,
                          String bbox,
                          String width,
                          String height,
                          String[] geoservers,
                          String[] layers,
                          String[] styles,
                          String[] opacities,
                          String[] cqlfilters,
                          String[] gsrefs)

      Specified by:
        `saveMapImage` in interface `org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler`

    - #### saveMapImage

          public void saveMapImage(String fileName,
                          String outputFormat,
                          Map<String,String> parameters)

      Specified by:
        `saveMapImage` in interface `org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler`

Copyright © 2015. All Rights Reserved.